%define modname ps
%define dirname %{modname}
%define soname %{modname}.so
%define inifile A53_%{modname}.ini

Summary:	An extension to create PostScript files for php
Name:		php-%{modname}
Version:	1.3.4
Release:	%mkrel 2
Group:		Development/PHP
License:	PHP License
URL:		http://pecl.php.net/package/%{modname}
Source0:	http://pecl.php.net/get/%{modname}-%{version}.tar.bz2
BuildRequires:	php-devel >= 5.1.0
BuildRequires:	libpslib-devel
BuildRoot:	%{_tmppath}/%{name}-%{version}-buildroot

%description
ps is an extension similar to the pdf extension but for creating PostScript
files. Its api is modelled after the pdf extension.

%prep

%setup -q -n %{modname}-%{version}

%build

phpize
%configure2_5x --with-libdir=%{_lib} \
    --with-%{modname}=shared,%{_prefix}
%make

mv modules/*.so .

%install
[ "%{buildroot}" != "/" ] && rm -rf %{buildroot}

install -d %{buildroot}%{_libdir}/php/extensions
install -d %{buildroot}%{_sysconfdir}/php.d

install -m0755 %{soname} %{buildroot}%{_libdir}/php/extensions/

cat > %{buildroot}%{_sysconfdir}/php.d/%{inifile} << EOF
extension = %{soname}
EOF

%clean
[ "%{buildroot}" != "/" ] && rm -rf %{buildroot}
[ "../package.xml" != "/" ] && rm -f ../package.xml

%files 
%defattr(-,root,root)
%doc CREDITS tests examples
%attr(0644,root,root) %config(noreplace) %{_sysconfdir}/php.d/%{inifile}
%attr(0755,root,root) %{_libdir}/php/extensions/%{soname}

%changelog
* Sun Aug 27 2006 Oden Eriksson <oeriksson@mandriva.com> 1.3.4-2
- rebuilt for php-5.1.6

* Thu Aug 03 2006 Oden Eriksson <oeriksson@mandriva.com> 1.3.4-1mdv2007.0
- initial Mandriva package
